singleton Material(boulder_tire_side)
{
    mapTo = "boulder_tire_sidewall";
    diffuseMap[1] = "vehicles/m64boulder/tirefaces.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[1] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_tire)
{
    mapTo = "boulder_tire_tread";
    diffuseMap[1] = "vehicles/m64boulder/tireTread.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[1] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_rim_flange)
{
    mapTo = "boulder_rim_flange";
    diffuseMap[1] = "vehicles/m64boulder/rim_flange.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(m64boulder_metal)
{
    mapTo = "m64boulder_metal";
    diffuseMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 0";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[1] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_paint)
{
    mapTo = "boulder_paint";
    diffuseMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    beamngDiffuseColorSlot = 0;
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[1] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_black_plastic)
{
    mapTo = "boulder_black_plastic";
    diffuseMap[2] = "vehicles/common/null.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "0 0 0 1";
    diffuseColor[1] = "0 0 0 1";
    diffuseColor[2] = "0 0 0 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_shinyplastic)
{
    mapTo = "boulder_shinyplastic";
    diffuseMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "0 0 0 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("boulder_mudflaps")
{
    mapTo = "boulder_mudflaps";
    diffuseMap[2] = "vehicles/m64boulder/mudflaps.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_lights_off)
{
    mapTo = "boulder_lights";
    diffuseMap[2] = "vehicles/m64boulder/lights_off.png";
    specularMap[2] = "vehicles/m64boulder/lights_s.color.png";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_lights_on)
{
    mapTo = "boulder_lights_on";
    diffuseMap[2] = "vehicles/m64boulder/lights_g.color.png";
    specularMap[2] = "vehicles/m64boulder/lights_s.color.png";
    diffuseMap[1] = "vehicles/m64boulder/lights_on.png";
    specularMap[1] = "vehicles/m64boulder/lights_s.color.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_lights_on_intense)
{
    mapTo = "boulder_lights_on_intense";
    diffuseMap[2] = "vehicles/m64boulder/lights_g.color.png";
    specularMap[2] = "vehicles/m64boulder/lights_s.color.png";
    diffuseMap[1] = "vehicles/m64boulder/lights_on_intense.png";
    specularMap[1] = "vehicles/m64boulder/lights_s.color.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(boulder_grille_lights_off)
{
    mapTo = "boulder_grille_lights_off";
    diffuseMap[2] = "vehicles/m64boulder/grille_lights_off.png";
    specularMap[2] = "vehicles/m64boulder/grille_lights_s.color.png";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_grille_lights_on_intense)
{
    mapTo = "boulder_grille_lights_on_intense";
    diffuseMap[2] = "vehicles/m64boulder/grille_lights_g.color.png";
    specularMap[2] = "vehicles/m64boulder/grille_lights_s.color.png";
    diffuseMap[1] = "vehicles/m64boulder/grille_lights_on_intense.png";
    specularMap[1] = "vehicles/m64boulder/grille_lights_s.color.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_headlight)
{
    mapTo = "boulder_headlight";
};
singleton Material(boulder_taillight_L)
{
    mapTo = "boulder_taillight_L";
};
singleton Material(boulder_taillight_R)
{
    mapTo = "boulder_taillight_R";
};
singleton Material(boulder_reverse_light)
{
    mapTo = "boulder_reverselight";
};
singleton Material(boulder_signal_L)
{
    mapTo = "boulder_signal_L";
};
singleton Material(boulder_signal_R)
{
    mapTo = "boulder_signal_R";
};

singleton Material(boulder_frame)
{
    mapTo = "boulder_frame";
    diffuseColor[0] = "0 0 0 1";
    castShadows = "1";
    diffuseMap[0] = "vehicles/common/null.dds";
};